Come installare APXS in Apache esistente?

Sto eseguendo un Apache 2.0.52 e vorrei installare un nuovo module. Per questo, ho bisogno dell'APXS (Apache Extension Tool).

Non è installato nella mia versione di Apache quindi devo installarlo.

Non ho alcun accesso a internet sul server in modo da non posso usare yum o sth simili

Come fare questo?

  • Impostazione di un boot-dvd kickstart
  • Come posso rimuovere i bit GUI da un'installazione di Red Hat Enterprise Linux?
  • Architettura del server NTP
  • Iptables bloccando tutto il mio traffico per alcuni rilanci
  • Redhat LVM che cambia le bande?
  • Associare a Red Hat Linux 6 in un dominio di Windows Active Directory
  • C'è un modo per vedere la storia libera dei mem su redhat?
  • Installazione di più versioni mongoDB sullo stesso server
  • One Solution collect form web for “Come installare APXS in Apache esistente?”

    Dovrai trovare il pacchetto giusto dalla tua distribuzione che include apxs . I tuoi tag includono redhat, quindi probabilmente stai cercando qualcosa come httpd-devel . (Ho trovato il nome del pacchetto via Google: in generale, i pacchetti relativi al software di costruzione avranno -dev o -devel nei loro nomi.)

    Scaricare il pacchetto corretto su un'altra macchina (distribuzione, architettura e versione di tutte le versioni necessarie per corrispondere alla versione del pacchetto httpd installato sul server), copiare il file e installarlo con rpm -i filename.rpm .

    Potresti trovare che il rpm lamenta delle dependencies mancanti; se è così, ripetere quanto sopra per i pacchetti mancanti. (Yum gestirà automaticamente le dependencies, questo è uno dei suoi vantaggi!)

    Suggerimenti per Linux e Windows Server, quali Ubuntu, Centos, Apache, Nginx, Debian e argomenti di rete.